Summary:	GTK+-based audio CD ripper and encoder
Name:		asunder
Version:	1.0.2
Release:	%{mkrel 1}
Source0:	http://littlesvr.ca/asunder/releases/%{name}-%{version}.tar.bz2
License:	GPLv2
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://littlesvr.ca/asunder/
BuildRequires:	gtk+2-devel
BuildRequires:	libcddb-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
Requires:	cdparanoia
Suggests:	vorbis-tools
Suggests:	flac

%description
Asunder is a graphical Audio CD ripper and encoder for Linux. You can
use it to save tracks from an Audio CD as WAV, OGG, and/or FLAC.

%prep
%setup -q
# fix icon name in .desktop file
perl -pi -e 's,%{name}.png,%{name},g' %{name}.desktop
%configure2_5x

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 pixmaps/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%post
%{update_icon_cache hicolor}
%{update_menus}
%{update_desktop_database}
%postun
%{clean_icon_cache hicolor}
%{clean_menus}
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.com> 1.0.2-1mdv2007.1
+ Revision: 177108
- new release 1.0.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Tue Dec 18 2007 Adam Williamson <awilliamson@mandriva.com> 1.0-2mdv2008.1
+ Revision: 132692
- correct summary and URL

* Tue Dec 18 2007 Adam Williamson <awilliamson@mandriva.com> 1.0-1mdv2008.1
+ Revision: 132468
- minor spec clean
- new release 1.0

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Adam Williamson <awilliamson@mandriva.com> 0.9-1mdv2008.1
+ Revision: 96958
- import asunder


